[arch-commits] Commit in xemacs-sumo/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 21 21:21:40 EDT 2009


    Date: Tuesday, April 21, 2009 @ 21:21:40
  Author: eric
Revision: 36387

Merged revisions 356,36386 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xemacs-sumo/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r36386 | eric | 2009-04-21 21:21:22 -0400 (Tue, 21 Apr 2009) | 2 lines
  
  upgpkg: xemacs-sumo 20090217-1
      Upstream update, Added license, Added url
........

Modified:
  xemacs-sumo/repos/extra-x86_64/	(properties)
  xemacs-sumo/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)


Property changes on: xemacs-sumo/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /xemacs-sumo/trunk:1
   + /xemacs-sumo/trunk:1-36386

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-22 01:21:22 UTC (rev 36386)
+++ extra-x86_64/PKGBUILD	2009-04-22 01:21:40 UTC (rev 36387)
@@ -2,17 +2,18 @@
 # Maintainer: juergen <juergen at archlinux.org>
 
 pkgname=xemacs-sumo
-pkgver=20070427
+pkgver=20090217
 pkgrel=1
 pkgdesc="XEmacs Packages"
+arch=(i686 x86_64)
+url="http://www.xemacs.org"
+license=('GPL')
 depends=('xemacs')
 source=(http://ftp.xemacs.org/pub/xemacs/packages/$pkgname-${pkgver:0:4}-${pkgver:4:2}-${pkgver:6:2}.tar.bz2)
-md5sums=('735fd204c1939f76704b7ba770f59b8c')
-arch=(i686 x86_64)
-url="ftp://ftp.xemacs.org/pub/xemacs/packages/"
+md5sums=('4ccf48e0ef0c37858dd0240f6343402a')
         
 build() {
-  mkdir -p $startdir/pkg/usr/lib/xemacs
-  mv xemacs-packages $startdir/pkg/usr/lib/xemacs/
-  chown -R root.root $startdir/pkg
+  install -d $pkgdir/usr/lib/xemacs
+  cp -r xemacs-packages $pkgdir/usr/lib/xemacs/ || return 1
+  chown -R root:root $pkgdir || return 1
 }



More information about the arch-commits mailing list